/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package DTO;

import entity.MapBoard;
import entity.MapValues;
import facade.Facade;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

/**
 *
 * @author install1
 */
public class PlayerMapBoardDTO {

    private String steamID;
    private String mapname;
    private int mapstage;
    private int mapPoint;
    private Float mapTime;
    private int position;

    public PlayerMapBoardDTO() {
    }

    public PlayerMapBoardDTO(String steamID) {
        this.steamID = steamID;
    }

    public void addMapValues(MapValues mapvalue, String mapName, int stage) {
        this.steamID = mapvalue.getPlayerSteamID();
        this.mapPoint = mapvalue.getMapPoints();
        this.mapTime = mapvalue.getTime();
        this.position = mapvalue.getPosition();
        this.mapname = mapName;
        this.mapstage = stage;
    }

}
